@import "../base/variable.scss";
@import "../base/mixins.scss";

.coverage_section{
    padding:110px 0px;
    position: relative;
     &::before{
            position: absolute;
            content: '';
            opacity: 0.5;
            background-image: url('../images/12.png');      
            background-repeat: no-repeat;
            margin: 0 auto;
            text-align: center;
            height: 100%;
            width: 787px;
            z-index: 0;
            top: 0;
            left: 0;
            right: 0px;
           
        }
    .header_content{
        position: relative;
        z-index: 1;
        h3{
            font-size: 56px;
            font-weight: 700;
            color: $primary_color;
            text-align: center;
            padding-bottom: 23px;
        }
        p{
            font-size: 14px;
            font-weight: 500;
            text-align: center;
            color: $offfspra2;
        }
    }
    .header_img{
        margin-top: 50px;
        position: relative;
        z-index: 1;
        overflow: hidden;
        img{
            width: 100%;
            height: 100%;
        }
       
    }
    .coverage_section_area{
        .form_step1{
            .box_area{
                .top_bar{
                    padding-bottom: 40px;
                }
            }
        }
        .form_step2{
            display: none;
            .box_area{
                .top_bar{
                    padding-bottom: 40px;
                    .line_bar{
                        background-color: $red;
                    }
                    .bar_circle{
                        background-color: $red;
                    }
                }
            }
        }
        .box_area{
            position:relative;
            z-index: 1;
            background-color: $white;
            margin-top: -181px;
            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
            border-radius: 15px;
            padding: 30px 30px;
            .top_bar{
                position: relative;
                .line_bar{
                    height: 5px;
                    background-color: #F2F2F2;
                }
                .bar_circle{
                    height: 20px;
                    width: 20px;
                    background-color: #F2F2F2;
                    position: absolute;
                    top: 0;
                    &.circle_1{
                        left: 0;
                        top:-8px;
                        background-color: $red;
                        border-radius: 50%;
                    }
                    &.circle_2{
                        right: 0;
                        border-radius: 50%;
                        top:-8px;
                    }
                }
            }
            h2{
                font-size: 36px;
                font-weight: 600;
                color: $primary_color;
                text-align: center;
            }
            h5{
                font-size: 14px;
                font-weight: 500;
                color: $offfspra2;
                text-align: center;
                padding-top: 20px;
                padding-bottom:35px;
            }

            .select_device_option_head{
                text-align: center;
                position: relative;
                p{
                    font-size: 14px;
                    position: relative;
                    z-index: 1;
                    display: inline-block;
                    padding: 20px 20px;
                    background-color: $white;
                }
                &::after{
                    position: absolute;
                    content: "";
                    border-top: 1px solid $center_line;
                    left: 0px;
                    right: 0px;
                    bottom: 46%;
                    z-index: 0;
                }
            }
            .form-group{
                h6{
                    font-size: 14px;
                    color: $offfspra2;
                    padding-bottom: 18px;
                }
                label{
                    font-size: 14px;
                    font-weight: 500;
                }
                .form-control{
                    background-color: $input;
                    font-size: 14px;
                    font-weight: 500;
                }
                .form-select{
                    background-color: $input;
                    border-radius: 15px;
                    font-size: 14px;
                    position: relative;
                    background-image: url(../images/Icon.png);
                    background-size: 15px;
                    background-repeat: no-repeat;
                    padding-left: 28px;
                    font-weight: 500;
                }
            }
            .button{
                text-align: center;
                padding-top:30px;
                padding-bottom: 40px;
            }
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

@media (min-width: 1200px) and (max-width: 1399px){
}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .coverage_section{
        .coverage_section_area{
            .box_area{
                margin-top:-140px;
              
                .button{
                    padding-bottom: 15px;
                }
            }
        }
    }
    
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .coverage_section{
        .coverage_section_area{
            .box_area{
                margin-top:-103px;
                padding: 25px 20px;
                .button{
                    padding-bottom: 10px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .coverage_section{
        padding: 70px 0px;
        &::before{
            content: none;
        }
        .header_content{
            h3{
                font-size: 40px;
            }
        }
        .header_img{
            margin-top:40px;
        }
        .coverage_section_area{
            .box_area{
                margin-top:20px;
                h2{
                    font-size: 25px;
                }
                .button{
                    padding-bottom: 15px;
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .coverage_section{
        padding: 70px 0px;
        padding-top: 44px;
        &::before{
            content: none;
        }
        .header_content{
            h3{
                font-size: 40px;
            }
        }
        .header_img{
            margin-top:40px;
        }
        .coverage_section_area{
            .box_area{
                margin-top:20px;
                padding: 25px 20px;
                .button{
                    padding-bottom: 10px;
                }
                h2{
                    font-size: 25px;
                }
            }
        }
    }
 }

/* Smaller phones */
@media (max-width: 360px) {
    .coverage_section{
        padding: 70px 0px;
        padding-top: 44px;
        &::before{
            content: none;
        }
        .header_content{
            h3{
                font-size: 33px;
            }
        }
        .header_img{
            margin-top:40px;
        }
        .coverage_section_area{
            .box_area{
                margin-top:20px;
                padding: 25px 20px;
                .button{
                    padding-bottom: 10px;
                }
                h2{
                    font-size: 21px;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}